Subject: Re: Make and javac compliler problem in bash
From: Jason Tishler <[email-masked]>
To: Woody Jin <[email-masked]>
Cc: [email-masked]
Date: Mon, 12 Jun 2000 15:21:51 -0400

Jin,

Woody Jin wrote:
> 1) I thought that javac, being a product of Sun Microsystem, (and there exist
>      its counterpart in Unix) would accept unix style path, which I found
> is  not
>      the case.

Sun's javac does support paths with forward slashes -- but will not
handle Cygwin style path's (via mounts, symlinks, etc.).

> 2) Rather than messing around the backslash and slash all over the places,
>      and make Makefiles and other shell scripts incompatible with the Unix,
>      (for example, I want to use the same Makefile on both platform

We successfully use GNU make (ie, 3.79) and javac on both NT and UNIX
without any problems.  See attached for an example.

Sorry, that I can't give you specific help, but hopefully knowing that
it should work will help you persevere until you succeed.

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

# $Id: Makefile,v 1.1 2000/05/05 13:58:58 jt Exp $

BaseDir = ../..

include $(BaseDir)/Makerules.mk

all:: main

main: $(CLASSES)
	$(JAVAC) $(JAVACFLAGS) *.java \
		../stgobjs/aryobjs/*.java ../stgobjs/spobjs/*.java ../stgobjs/*.java \
		../server/*.java \
		../ui/cfg_ui/*.java ../ui/*.java

--
Want to unsubscribe from this list?
Send a message to [email-masked]